TX Presents SX OS v2.9.2 Beta - With Improved Stealth Mode and More!

Discussion in 'Switch - Backup Loaders & Modchips' started by garyopa, Oct 7, 2019.

  1. isoboy

    isoboy GBAtemp Advanced Fan

    Member
    7
    Dec 23, 2016
    United States
    If you use the "match version with local users" to update game software, will it also force a firmware update for consoles on lower firmware? Google tells me no....anyone know for sure?
     
  2. DaveLister

    DaveLister GBAtemp Advanced Fan

    Member
    6
    Apr 27, 2018
    Afghanistan
    lv426
    Not all of the UK is impacted by GaryOpa's suggestion only the arsehole ISP's that signed up to the bullshit ruling to block TX and various other sites. It was as effective as putting a bandaid over a leaking hydroelectric damn wall.
    Meanwhile here in Ireland on the same ISP's we are golden, Feel that shit? That is Brexit bitting ya in yer ass.
     
  3. Dark Ronin

    Dark Ronin GBAtemp Regular

    Member
    5
    Oct 5, 2015
    Russia
    Most likely yes, if game update requires higher fw version. Happened with me once while sharing update for Splatoon.
     
  4. isoboy

    isoboy GBAtemp Advanced Fan

    Member
    7
    Dec 23, 2016
    United States
    Fantastic news, haha.
     
  5. lordelan

    lordelan GBAtemp Psycho!

    Member
    12
    Jan 4, 2015
    Germany
    I can confirm this. Happened to me while getting a Smash Bros. update from a friend's Switch while on the train. Took me quite some time with my smartphone to get newest KOSMOS and put in on the SD to have it working again. :D
     
  6. isoboy

    isoboy GBAtemp Advanced Fan

    Member
    7
    Dec 23, 2016
    United States
    Tried with Dead Cells and the switch that joins the group crashes upon 100%. Oh well.
     
  7. mickthestud

    mickthestud GBAtemp Fan

    Member
    7
    Nov 8, 2007
    What’s your problem with Witcher 3 it plays fine on latest sxos
     
  8. Nincompoopdo

    Nincompoopdo GBAtemp Fan

    Member
    7
    May 20, 2017
    United States
    If any of you wants to buy Ring-fit tomorrow, you have no choice but to update your Switch to 9.0. It requires the alarm feature of the new firmware.
     
  9. brollikk

    brollikk GBAtemp Fan

    Member
    5
    Mar 8, 2018
    United States
    doom/doom3/witcher 3 xci - these are not working or slow for people?
     
  10. lisko

    lisko Advanced Member

    Newcomer
    3
    Oct 28, 2018
    Italy
    Doom 3 with update in custom xci and witcher 3 xci working fine here
     
  11. Reecey

    Reecey Mario 64 (favorite game of all time)

    Member
    11
    Mar 7, 2010
    At Home :)
    What is it exactly doing? Could do with a bit more information that might help. Are you using emunand? Online or not? xci or nsp? Firmware? Etc..
     
    Last edited by Reecey, Oct 20, 2019
  12. chrisisx

    chrisisx GBAtemp Regular

    Member
    5
    Dec 26, 2014
    Singapore
    Singapore
    Been playing witcher for 30hours now using XCI then nsp update as XCI can only support up to 32gb in 2.9.2v in 9.0.2 ofw. So you might be all using custom xci for witcher hence its not working.
     
  13. isoboy

    isoboy GBAtemp Advanced Fan

    Member
    7
    Dec 23, 2016
    United States
    Thanks for asking but I decided to update it to the latest firmware the normal way. Controls aren't responding in homebrew apps but my sister who's the one using it isn't using homebrew at all so I'll wait for TX to fix it.
     
  14. garyopa
    OP

    garyopa Admin @ MaxConsole

    Member
    18
    Apr 25, 2009
    Canada
    Tropical Island
    More info is needed, as there should be no reason controls are not working in your homebrew apps. -- How are you launching your homebrew? -- And what homebrew is it?
     
  15. isoboy

    isoboy GBAtemp Advanced Fan

    Member
    7
    Dec 23, 2016
    United States
    Clicking on the album lets me browse the homebrew apps. Clicking on hbmenu 2.0.0 and it's like my controls are disabled. The home button works and takes me out to the main menu. Tried the same again, this time launching Edizon 1.3.3 and the controls won't respond. Checkpoint 3.1.0 doesn't either. NX-Shell 2.1.1 which I believe is the latest does work. Just tried launching the album by holding R and the controls again fail. I can start the programs with touch and SX installer works. Tried Checkpoint again here, doesn't work. Am I just using outdated homebrew?
     
    Last edited by isoboy, Oct 20, 2019
  16. Maupiti

    Maupiti GBAtemp Regular

    Member
    3
    Sep 16, 2018
    France
    Yes , you need to update homebrews to latest realeases to work with 9.x firmware
     
    isoboy likes this.
  17. garyopa
    OP

    garyopa Admin @ MaxConsole

    Member
    18
    Apr 25, 2009
    Canada
    Tropical Island
    place the latest hbmenu.nro on root of your sdcard. --- and you should be able to launch homebrew directly from the sx os menu without using hbmenu first, sx os includes the man-in-the-middle hid patcher for outdated hombrew that has not been recompiled with the latest libnx which supports the 9.x firmware changes in how joycons work, you should be able to launch both old and new without issues.
     
    isoboy likes this.
  18. isoboy

    isoboy GBAtemp Advanced Fan

    Member
    7
    Dec 23, 2016
    United States
    That didn't seem to do it but I updated Checkpoint and no matter how I launch it, I get the red warning with "please don't run this in applet mode". Then I decided to just back up saves using SX installer which also just works and I don't REALLY see how I need either Edizon or Checkpoint anymore. (But at least Checkpoint responds to controls). Any reason why I shouldn't just use SX installer to back up my saves?
     
    JJTapia19 likes this.
  19. sorabora

    sorabora GBAtemp Regular

    Member
    5
    Dec 8, 2016
    United States
    Why not use the hbmenu .nsp forwarder? Unless I'm stupidly mistaken, that gives you full RAM access.
     
  20. isoboy

    isoboy GBAtemp Advanced Fan

    Member
    7
    Dec 23, 2016
    United States
    I don't need or want it. Even more homebrew to clutter up my switch...no thanks, not for me. Looks like SX installer is pretty much all I need at this point along with retroarch.
     
Quick Reply
Draft saved Draft deleted
Loading...